--- old/usr/src/cmd/mdb/Makefile.mdb	Mon May  6 14:57:50 2019
+++ new/usr/src/cmd/mdb/Makefile.mdb	Mon May  6 14:57:50 2019
@@ -26,7 +26,7 @@
 #
 # Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
-# Copyright (c) 2012 Joyent, Inc. All rights reserved.
+# Copyright 2019 Joyent, Inc.
 # Copyright 2018 Jason King
 #
 
@@ -109,8 +109,6 @@
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
 
-SMOFF += all_func_returns
-
 #
 # -erroff=E_INCONS_ARG_DECL2 works around a problem where lint gets confused
 # about how struct mdb_tgt_gregset is used in mdb_tgt_stack_f() and
--- old/usr/src/cmd/mdb/common/mdb/mdb_modapi.c	Mon May  6 14:57:51 2019
+++ new/usr/src/cmd/mdb/common/mdb/mdb_modapi.c	Mon May  6 14:57:51 2019
@@ -23,6 +23,7 @@
  * Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 2013 by Delphix. All rights reserved.
  * Copyright 2016 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2019 Joyent, Inc.
  */
 
 #include <mdb/mdb_modapi.h>
@@ -92,11 +93,11 @@
 	} else if (n < 10 && (num & (num - 1)) != 0) {
 		(void) mdb_snprintfrac(buf, MDB_NICENUM_BUFLEN,
 		    num, 1ULL << 10 * index, 2);
-		strcat(buf, u);
+		(void) strcat(buf, u);
 	} else if (n < 100 && (num & (num - 1)) != 0) {
 		(void) mdb_snprintfrac(buf, MDB_NICENUM_BUFLEN,
 		    num, 1ULL << 10 * index, 1);
-		strcat(buf, u);
+		(void) strcat(buf, u);
 	} else {
 		(void) mdb_snprintf(buf, MDB_NICENUM_BUFLEN, "%llu%s",
 		    (u_longlong_t)n, u);
